ExportDashboard
POST
/analytics/v1/dashboards/{dashboard_id}/exportPath Parameters
dashboard_id*dashboard_id
The dashboard_id path parameter.
Request Body
requiredapplication/json{
"time_start": "2026-01-15T10:30:00Z",
"time_end": "2026-01-15T10:30:00Z",
"format": "EXPORT_FORMAT_CSV"
}time_start*string
time_end*string
format?object
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.ExportDashboardResponse",
"$ref-value": {
"type": "object",
"properties": {
"content": {
"type": "string",
"title": "content",
"format": "byte"
},
"content_type": {
"type": "string",
"examples": [
"text/csv"
],
"title": "content_type"
},
"filename": {
"type": "string",
"examples": [
"traffic-overview-20260115.csv"
],
"title": "filename"
},
"widget_count": {
"type": "integer",
"title": "widget_count",
"format": "int32"
},
"row_count": {
"type": "integer",
"title": "row_count",
"format": "int32"
}
},
"title": "ExportDashboardResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/analytics/v1/dashboards/string/export" \
-H "Content-Type: application/json" \
-d '{
"time_start": "2026-01-15T10:30:00Z",
"time_end": "2026-01-15T10:30:00Z"
}'Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.ExportDashboardResponse",
"$ref-value": {
"type": "object",
"properties": {
"content": {
"type": "string",
"title": "content",
"format": "byte"
},
"content_type": {
"type": "string",
"examples": [
"text/csv"
],
"title": "content_type"
},
"filename": {
"type": "string",
"examples": [
"traffic-overview-20260115.csv"
],
"title": "filename"
},
"widget_count": {
"type": "integer",
"title": "widget_count",
"format": "int32"
},
"row_count": {
"type": "integer",
"title": "row_count",
"format": "int32"
}
},
"title": "ExportDashboardResponse",
"additionalProperties": false
}
}